%define shortname forms

Name:           jgoodies-forms
Version:        1.8.0
Release:        %mkrel 1
Summary:        Framework to lay out and implement elegant Swing panels in Java

Group:          Development/Java
License:        BSD
URL:            http://www.jgoodies.com/freeware/forms/
Source0:        http://www.jgoodies.com/download/libraries/%{shortname}/%{name}-%(tr "." "_" <<<%{version}).zip

# Fontconfig and DejaVu fonts needed for tests
BuildRequires:  fonts-ttf-dejavu
BuildRequires:  fontconfig
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  jgoodies-common >= 1.8.0
BuildRequires:  jpackage-utils
BuildRequires:  maven-local
BuildRequires:  maven-clean-plugin
Requires:       java >= 1:1.6.0
Requires:       jgoodies-common >= 1.8.0
Requires:       jpackage-utils
BuildArch:      noarch

%description
The JGoodies Forms framework helps you lay out and implement elegant Swing
panels quickly and consistently. It makes simple things easy and the hard stuff
possible, the good design easy and the bad difficult.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q

# Unzip source and test files from provided JARs
mkdir -p src/main/java/ src/test/java/
pushd src/main/java/
jar -xf ../../../%{name}-%{version}-sources.jar
popd
pushd src/test/java/
jar -xf ../../../%{name}-%{version}-tests.jar
popd

# Delete prebuild JARs
find -name "*.jar" -exec rm {} \;

# Drop tests that require a running X11 server
rm src/test/java/com/jgoodies/forms/layout/SerializationTest.java
sed -i "/SerializationTest.class,/d" src/test/java/com/jgoodies/forms/layout/AllFormsTests.java

# Delete ClassLoader test
# TODO: fix it to make it work
rm src/test/java/com/jgoodies/forms/layout/ClassLoaderTest.java
sed -i "/ClassLoaderTest.class,/d" src/test/java/com/jgoodies/forms/layout/AllFormsTests.java

# Fix wrong end-of-line encoding
for file in LICENSE.txt RELEASE-NOTES.txt; do
  sed -i.orig "s/\r//" $file && \
  touch -r $file.orig $file && \
  rm $file.orig
done

%mvn_file :%{name} %{name} %{name}


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%doc LICENSE.txt README.html RELEASE-NOTES.txt


%files javadoc -f .mfiles-javadoc




%changelog
* Mon Feb 29 2016 daviddavid <daviddavid> 1.8.0-1.mga6
+ Revision: 980729
- First rebuild of the java stack
- sync package jgoodies-forms with fedora (update to 1.8.0)

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7.1-6.mga5
+ Revision: 750214
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.7.1-4.mga4
+ Revision: 542014
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 dmorgan <dmorgan> 1.7.1-3.mga4
+ Revision: 496702
- New version

* Sat Jan 12 2013 umeabot <umeabot> 0:1.4.2-2.mga3
+ Revision: 355382
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 fwang <fwang> 0:1.4.2-1.mga3
+ Revision: 331472
- update file list
- update file list
- new version 1.4.2
- new version 1.6.0

* Wed Mar 09 2011 ennael <ennael> 0:1.2.0-0.0.rc2.mga1
+ Revision: 66911
- imported package jgoodies-forms


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0:1.2.0-0.0.rc2mdv2010.0
+ Revision: 429605
- rebuild

* Thu Feb 14 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.2.0-0.0.rc1mdv2008.1
+ Revision: 168588
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:1.1.0-0.0.3mdv2008.1
+ Revision: 120942
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:1.1.0-0.0.2mdv2008.0
+ Revision: 87434
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Thu Aug 23 2007 David Walluck <walluck@mandriva.org> 0:1.1.0-0.0.1mdv2008.0
+ Revision: 70690
- properly format spec
- BuildRequires: java-javadoc
- remove pre-built javadoc in docs/api
- export OPT_JAR_LIST=:
- install %%{name}.jar and %%{_javadocdir}/%%{name} symlinks
- remove (incorrect) javadoc scriptlets
- remove README_RPM.txt
- Import jgoodies-forms



* Wed Aug 09 2006 David Walluck <walluck@mandriva.org> 0:1.0.7-1mdv2007.0
- release

* Mon Oct 17 2005 Eric Lavarde <rpm@zorglub.s.bawue.de> - 0:1.0.5-2jpp
- corrected error with defattr of javadoc.
- linked api to doc directory to allow for proper (http)linkage.

* Sun Sep 10 2005 Eric Lavarde <rpm@zorglub.s.bawue.de>
- First packaged release
